## ros-melodic-cob-light 0.7.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(cob_light)

add_compile_options(-std=c++11)

find_package(catkin REQUIRED COMPONENTS actionlib actionlib_msgs diagnostic_msgs message_generation roscpp sensor_msgs std_msgs visualization_msgs)

find_package(Boost REQUIRED COMPONENTS thread)

### Message Generation ###
add_message_files(
  FILES
  ColorRGBAArray.msg
  LightMode.msg
  LightModes.msg
  Sequence.msg
)

add_service_files(
  FILES
  SetLightMode.srv
  StopLightMode.srv
)

add_action_files(
  FILES
  SetLightMode.action
)

generate_messages(
  DEPENDENCIES actionlib_msgs sensor_msgs std_msgs visualization_msgs
)

catkin_package(
  CATKIN_DEPENDS actionlib_msgs diagnostic_msgs message_runtime sensor_msgs std_msgs visualization_msgs
)

### BUILD ###
#pkg_check_modules(GTKMM REQUIRED gtkmm-3.0)
#pkg_check_modules(GTHREAD REQUIRED gthread-2.0)

add_compile_options(-Wno-narrowing)

include_directories(${PROJECT_SOURCE_DIR}/ros/include ${PROJECT_SOURCE_DIR}/common/include ${catkin_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS})
set(HEADERS
    ${PROJECT_SOURCE_DIR}/common/include/breathColorMode.h
    ${PROJECT_SOURCE_DIR}/common/include/breathMode.h
    ${PROJECT_SOURCE_DIR}/common/include/circleColorMode.h
    ${PROJECT_SOURCE_DIR}/common/include/colorUtils.h
    ${PROJECT_SOURCE_DIR}/common/include/concurrentQueue.h
    ${PROJECT_SOURCE_DIR}/common/include/fadeColorMode.h
    ${PROJECT_SOURCE_DIR}/common/include/flashMode.h
    ${PROJECT_SOURCE_DIR}/common/include/mode.h
    ${PROJECT_SOURCE_DIR}/common/include/modeExecutor.h
    ${PROJECT_SOURCE_DIR}/common/include/modeFactory.h
    ${PROJECT_SOURCE_DIR}/common/include/modeRunner.h
    ${PROJECT_SOURCE_DIR}/common/include/sequenceMode.h
    ${PROJECT_SOURCE_DIR}/common/include/serialIO.h
    ${PROJECT_SOURCE_DIR}/common/include/staticMode.h
    ${PROJECT_SOURCE_DIR}/common/include/sweepColorMode.h
    ${PROJECT_SOURCE_DIR}/common/include/distApproxMode.h
    ${PROJECT_SOURCE_DIR}/ros/include/colorO.h
    ${PROJECT_SOURCE_DIR}/ros/include/colorOSim.h
    ${PROJECT_SOURCE_DIR}/ros/include/iColorO.h
    ${PROJECT_SOURCE_DIR}/ros/include/ms35.h
    ${PROJECT_SOURCE_DIR}/ros/include/stageprofi.h
)


add_executable(${PROJECT_NAME} common/src/modeExecutor.cpp common/src/modeFactory.cpp common/src/serialIO.cpp ros/src/${PROJECT_NAME}.cpp ros/src/colorO.cpp ros/src/colorOSim.cpp ros/src/ms35.cpp ros/src/stageprofi.cpp)
add_dependencies(${PROJECT_NAME} ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES} ${Boost_LIBRARIES})

### INSTALL ###
install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

catkin_install_python(PROGRAMS
  ros/scripts/test.py
  ros/scripts/test_sprofi_circle.py
  ros/scripts/test_sprofi_modes.py
  ros/scripts/test_sprofi_part.py
  ros/scripts/light_action_test.py
  ros/scripts/light_service_test.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-melodic-cob-light (0.7.4-1stretch) stretch; urgency=high

  * Merge pull request #417 <https://github.com/ipa320/cob_driver/issues/417> from fmessmer/test_noetic
    test noetic
  * Bump CMake version to avoid CMP0048 warning
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 13 Oct 2020 22:00:00 -0000

ros-melodic-cob-light (0.7.3-1stretch) stretch; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 17 Mar 2020 23:00:00 -0000

ros-melodic-cob-light (0.7.2-1stretch) stretch; urgency=high

  * Merge pull request #409 <https://github.com/ipa320/cob_driver/issues/409> from LoyVanBeek/feature/python3_compatibility
    [ci_updates] pylint + Python3 compatibility
  * python3 compatibility via 2to3
  * Merge pull request #408 <https://github.com/ipa320/cob_driver/issues/408> from fmessmer/ci_updates
    [travis] ci updates
  * catkin_lint fixes
  * Merge pull request #406 <https://github.com/ipa320/cob_driver/issues/406> from lopsided98/cob-light-boost-signals
    [cob_light] removed unused Boost signals dependency
  * cob_light: removed unused Boost signals dependency
  * Contributors: Ben Wolsieffer, Felix Messmer, Loy van Beek, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 17 Mar 2020 23:00:00 -0000

ros-melodic-cob-light (0.7.1-1stretch) stretch; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 06 Nov 2019 23:00:00 -0000

ros-melodic-cob-light (0.7.0-1stretch) stretch; urgency=high

  * Merge pull request #380 <https://github.com/ipa320/cob_driver/issues/380> from ipa-jba/fix/boost_shared_ptr
    [Melodic] combined melodify pr
  * more constexpr in cob_light
  * c++11 for cob_light
  * fixed boost colors signal type
  * disable narrowing conversion warnings
  * fix "constexpr needed" compilation error
  * Merge pull request #396 <https://github.com/ipa320/cob_driver/issues/396> from HannesBachter/indigo_dev
    0.6.15
  * Contributors: Benjamin Maidel, Felix Messmer, Jannik Abbenseth

 -- Felix Messmer <felixmessmer@gmail.com>  Mon, 05 Aug 2019 22:00:00 -0000

ros-melodic-cob-light (0.6.15-1stretch) stretch; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 16 Jul 2019 22:00:00 -0000

ros-melodic-cob-light (0.6.14-1stretch) stretch; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 06 Jun 2019 22:00:00 -0000

ros-melodic-cob-light (0.6.13-1stretch) stretch; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 13 Mar 2019 23:00:00 -0000

ros-melodic-cob-light (0.6.12-1stretch) stretch; urgency=high

  * update maintainer
  * Contributors: fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 20 Jul 2018 22:00:00 -0000

ros-melodic-cob-light (0.6.11-1stretch) stretch; urgency=high

  * Merge remote-tracking branch 'origin/indigo_release_candidate' into indigo_dev
  * Merge pull request #341 <https://github.com/ipa320/cob_driver/issues/341> from ipa-fxm/APACHE_license
    use license apache 2.0
  * use license apache 2.0
  * Contributors: Felix Messmer, ipa-fxm, ipa-uhr-mk

 -- Felix Messmer <felixmessmer@gmail.com>  Sat, 06 Jan 2018 23:00:00 -0000

ros-melodic-cob-light (0.6.10-1stretch) stretch; urgency=high

  * fixed function return value
  * Contributors: Benjamin Maidel

 -- Felix Messmer <felixmessmer@gmail.com>  Sun, 23 Jul 2017 22:00:00 -0000

ros-melodic-cob-light (0.6.9-1stretch) stretch; urgency=high

  * added test script
    added test script
    added test script
    fix
    fix
    fix
    added additional mode to test scripts
    speed up test scripts
  * protect callbacks with scoped locks
  * void function
  * manually fix changelog
  * xmas mode corrections
  * added new lightmode xmas
  * Contributors: Benjamin Maidel, ipa-fxm

 -- Felix Messmer <felixmessmer@gmail.com>  Mon, 17 Jul 2017 22:00:00 -0000

ros-melodic-cob-light (0.6.8-1stretch) stretch; urgency=high

  * return true for stop mode service to avoid ugly error messages on client side
  * fix tab vs spaces
  * at static mode send color to driver on begin of update cylce
  * set freq to default 1.0 if not set by requested mode
  * Contributors: Benjamin Maidel, ipa-fmw, msh

 -- Felix Messmer <felixmessmer@gmail.com>  Sun, 09 Oct 2016 22:00:00 -0000

ros-melodic-cob-light (0.6.7-1stretch) stretch; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 01 Apr 2016 22:00:00 -0000

ros-melodic-cob-light (0.6.6-1stretch) stretch; urgency=high

  * keep static mode running so they can be stopped, paused and resumed
  * fixes
  * comments
  * param tuning
  * implemented new mode glow
  * implemented feature to resume modes if modes with higher prio ends + refactored code
  * considered #241 <https://github.com/ipa320/cob_driver/issues/241> PR comments
  * high distances visualized with a lighter green
  * moved light dist approx function to cob_light driver
  * wip light_approximation
  * Merge branch 'feature/led_offset' into feature/light_approximation
  * fix
  * added node for scan approxiamtion led visualization
  * added param to define led mounting offset
  * fixed ms35 controller bug
  * Merge branch 'indigo_dev' of github.com:ipa320/cob_driver into indigo_dev
    Conflicts:
    cob_light/CMakeLists.txt
  * added headers to add_executable makro for qt_creator visiblity
  * Contributors: Benjamin Maidel, bnm

 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 31 Mar 2016 22:00:00 -0000

ros-melodic-cob-light (0.6.5-1stretch) stretch; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Sun, 30 Aug 2015 22:00:00 -0000

ros-melodic-cob-light (0.6.4-1stretch) stretch; urgency=high

  * boost revision
  * do not install headers in executable-only packages
  * explicit dependency to boost
  * remove obsolete autogenerated mainpage.dox files
  * remove trailing whitespaces
  * migrate to package format 2
  * sort dependencies
  * critically review dependencies
  * Contributors: ipa-fxm

 -- Felix Messmer <felixmessmer@gmail.com>  Mon, 24 Aug 2015 22:00:00 -0000



=== debian/control ===
Source: ros-melodic-cob-light
Section: misc
Priority: optional
Maintainer: Felix Messmer <felixmessmer@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, ros-melodic-actionlib, ros-melodic-actionlib-msgs, ros-melodic-catkin, ros-melodic-diagnostic-msgs, ros-melodic-message-generation, ros-melodic-roscpp, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-visualization-msgs
Homepage: http://ros.org/wiki/cob_light
Standards-Version: 3.9.2

Package: ros-melodic-cob-light
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, ros-melodic-actionlib, ros-melodic-actionlib-msgs, ros-melodic-diagnostic-msgs, ros-melodic-message-runtime, ros-melodic-roscpp, ros-melodic-rospy, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-visualization-msgs
Description: This package contains scripts to operate the LED lights on Care-O-bot.
